Browser requirements

Media Injection is a web based application. This means you won't need to download anything to be able to use the tool. We do ask you to keep your browser up to date. Using Media Injection in an outdated browser may increase the chances of encountering unnecessary problems and alerts. We don't want that, do we? Media Injection supports the following browsers: Firefox, Google Chrome, and Opera: all versions less than six months old, and of course Internet Explorer, Microsoft Edge and Safari.

With the advent of Windows 10 and thus also Microsoft Edge, Microsoft is slowly reducing their support for Internet Explorer. You can see Edge as a successor of Internet Explorer. So if you're using Internet Explorer, please keep this in mind. If you're able to move over to Windows 10 with Microsoft Edge we advise you to do so and if not we advise you to use a different browser before it's too late.

 

< Previous article - Next article >

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk